Reference example
# Fixed reference example. Playground inputs do not update this sample.
curl --request POST \
--url https://api.aisa.one/apis/v1/hlrlookup/people-phone-verify \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"cache_days_global": 0,
"cache_days_private": 0,
"input_format": "GBR",
"save_to_cache": "PRIVATE",
"telephone_number": "example",
"usa_status": "NO"
}'curl --request POST \
--url https://api.aisa.one/apis/v1/hlrlookup/people-phone-verify \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cache_days_global": 0,
"cache_days_private": 0,
"input_format": "GBR",
"save_to_cache": "PRIVATE",
"telephone_number": "example",
"usa_status": "NO"
}
'import requests
url = "https://api.aisa.one/apis/v1/hlrlookup/people-phone-verify"
payload = {
"cache_days_global": 0,
"cache_days_private": 0,
"input_format": "GBR",
"save_to_cache": "PRIVATE",
"telephone_number": "example",
"usa_status": "NO"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
cache_days_global: 0,
cache_days_private: 0,
input_format: 'GBR',
save_to_cache: 'PRIVATE',
telephone_number: 'example',
usa_status: 'NO'
})
};
fetch('https://api.aisa.one/apis/v1/hlrlookup/people-phone-verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/hlrlookup/people-phone-verify",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'cache_days_global' => 0,
'cache_days_private' => 0,
'input_format' => 'GBR',
'save_to_cache' => 'PRIVATE',
'telephone_number' => 'example',
'usa_status' => 'NO'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/hlrlookup/people-phone-verify"
payload := strings.NewReader("{\n \"cache_days_global\": 0,\n \"cache_days_private\": 0,\n \"input_format\": \"GBR\",\n \"save_to_cache\": \"PRIVATE\",\n \"telephone_number\": \"example\",\n \"usa_status\": \"NO\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/hlrlookup/people-phone-verify")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"cache_days_global\": 0,\n \"cache_days_private\": 0,\n \"input_format\": \"GBR\",\n \"save_to_cache\": \"PRIVATE\",\n \"telephone_number\": \"example\",\n \"usa_status\": \"NO\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/hlrlookup/people-phone-verify")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"cache_days_global\": 0,\n \"cache_days_private\": 0,\n \"input_format\": \"GBR\",\n \"save_to_cache\": \"PRIVATE\",\n \"telephone_number\": \"example\",\n \"usa_status\": \"NO\"\n}"
response = http.request(request)
puts response.read_bodyHLR Lookup
Check if a phone number is live
<!-- aisa-pricing:start -->
Usage-based billing; Default request estimate: $0.013216 USD (not a fixed price). Declared unit rate: $0.000001 USD per provider_credit. Account-specific pricing and final settlement may differ.
<!-- aisa-pricing:end -->
POST
https://api.aisa.one
/
apis
/
v1
/
hlrlookup
/
people-phone-verify
Reference example
# Fixed reference example. Playground inputs do not update this sample.
curl --request POST \
--url https://api.aisa.one/apis/v1/hlrlookup/people-phone-verify \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"cache_days_global": 0,
"cache_days_private": 0,
"input_format": "GBR",
"save_to_cache": "PRIVATE",
"telephone_number": "example",
"usa_status": "NO"
}'curl --request POST \
--url https://api.aisa.one/apis/v1/hlrlookup/people-phone-verify \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cache_days_global": 0,
"cache_days_private": 0,
"input_format": "GBR",
"save_to_cache": "PRIVATE",
"telephone_number": "example",
"usa_status": "NO"
}
'import requests
url = "https://api.aisa.one/apis/v1/hlrlookup/people-phone-verify"
payload = {
"cache_days_global": 0,
"cache_days_private": 0,
"input_format": "GBR",
"save_to_cache": "PRIVATE",
"telephone_number": "example",
"usa_status": "NO"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
cache_days_global: 0,
cache_days_private: 0,
input_format: 'GBR',
save_to_cache: 'PRIVATE',
telephone_number: 'example',
usa_status: 'NO'
})
};
fetch('https://api.aisa.one/apis/v1/hlrlookup/people-phone-verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/hlrlookup/people-phone-verify",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'cache_days_global' => 0,
'cache_days_private' => 0,
'input_format' => 'GBR',
'save_to_cache' => 'PRIVATE',
'telephone_number' => 'example',
'usa_status' => 'NO'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/hlrlookup/people-phone-verify"
payload := strings.NewReader("{\n \"cache_days_global\": 0,\n \"cache_days_private\": 0,\n \"input_format\": \"GBR\",\n \"save_to_cache\": \"PRIVATE\",\n \"telephone_number\": \"example\",\n \"usa_status\": \"NO\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/hlrlookup/people-phone-verify")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"cache_days_global\": 0,\n \"cache_days_private\": 0,\n \"input_format\": \"GBR\",\n \"save_to_cache\": \"PRIVATE\",\n \"telephone_number\": \"example\",\n \"usa_status\": \"NO\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/hlrlookup/people-phone-verify")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"cache_days_global\": 0,\n \"cache_days_private\": 0,\n \"input_format\": \"GBR\",\n \"save_to_cache\": \"PRIVATE\",\n \"telephone_number\": \"example\",\n \"usa_status\": \"NO\"\n}"
response = http.request(request)
puts response.read_bodyRequest contract
- Method and path: POST /apis/v1/hlrlookup/people-phone-verify
- Availability: enabled
- Request URL template:
https://api.aisa.one/apis/v1/hlrlookup/people-phone-verify - Runtime facts: a56df9549858ed5ffbc3be6ab1980f8b2ba709f97d9d81a8a707fd4d97a1341a
{
"operationId": "hlrlookup.people-phone-verify",
"method": "POST",
"path": "/apis/v1/hlrlookup/people-phone-verify",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [],
"security": [
{
"bearerAuth": []
}
],
"requestBody": {
"content": {
"application/json": {
"examples": {
"default": {
"value": {
"cache_days_global": 0,
"cache_days_private": 0,
"input_format": "GBR",
"save_to_cache": "PRIVATE",
"telephone_number": "example",
"usa_status": "NO"
}
},
"minimal": {
"value": {
"cache_days_global": 0,
"cache_days_private": 0,
"input_format": "GBR",
"save_to_cache": "PRIVATE",
"telephone_number": "example",
"usa_status": "NO"
}
}
},
"schema": {
"additionalProperties": true,
"properties": {
"cache_days_global": {
"enum": [
0
],
"maximum": 0,
"minimum": 0,
"type": "integer"
},
"cache_days_private": {
"enum": [
0
],
"maximum": 0,
"minimum": 0,
"type": "integer"
},
"input_format": {
"enum": [
"GBR"
],
"minLength": 1,
"type": "string"
},
"save_to_cache": {
"enum": [
"PRIVATE"
],
"minLength": 1,
"type": "string"
},
"telephone_number": {
"maxLength": 32,
"minLength": 1,
"type": "string"
},
"usa_status": {
"enum": [
"NO"
],
"minLength": 1,
"type": "string"
}
},
"required": [
"cache_days_global",
"cache_days_private",
"input_format",
"save_to_cache",
"telephone_number",
"usa_status"
],
"type": "object"
}
}
},
"required": true
},
"x-aisa-status": "enabled",
"x-aisa-pricing": {
"cost_contract": "response_units",
"customer_multiplier": 1.0,
"customer_pricing": "provider_cost_multiplier",
"default_request_estimate_usd": 0.013216,
"estimate_source": "profile_seed",
"evidence_source": "response_header",
"unit": "provider_credit",
"unit_rate_usd": 1e-06
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
Cost and request rules
Usage-based billing; Default request estimate: $0.013216 USD (not a fixed price). Declared unit rate: $0.000001 USD per provider_credit. Account-specific pricing and final settlement may differ. Published reference values are not an account-specific quote or a settled charge. For endpoints supporting X-AISA-Cost-Mode: quote, obtain a free quote for your exact request before execution; reconcile the settled cost with response metadata and Usage Logs. USD amounts use 1,000,000 integer micro-USD per dollar.- Default request reference estimate (USD): 0.013216
- Declared unit rate (USD): 1e-06
- Billing unit: provider_credit
- Cost contract: response_units
- Published reference multiplier: 1.0
- Settlement evidence source: response_header
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Available options:
0 Required range:
0 <= x <= 0Available options:
0 Required range:
0 <= x <= 0Available options:
GBR Minimum string length:
1Available options:
PRIVATE Minimum string length:
1Required string length:
1 - 32Available options:
NO Minimum string length:
1Response
Successful response. The payload schema has not been reviewed yet.